/* vim: set tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2007 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.sourceforge.webframe.io;

/**
 * FileLine
 *
 * @author Yomei Komiya
 * @since 0.9.2
 *
 * @version $Id: FileLine.java 6 2007-06-27 13:49:06Z whitestar $
 */
public class FileLine {

	/**
	 * File path
	 */
	private String filePath;
	
	/**
	 * File line number
	 */
	private int lineNumber;
	
	/**
	 * File line string
	 */
	private String lineString;

	
	public FileLine() {
		super();
	}

	
	public String getFilePath() {
		return filePath;
	}


	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}


	public int getLineNumber() {
		return lineNumber;
	}


	public void setLineNumber(int lineNumber) {
		this.lineNumber = lineNumber;
	}


	public String getLineString() {
		return lineString;
	}


	public void setLineString(String lineString) {
		this.lineString = lineString;
	}


	public String toString() {
		return this.lineString;
	}

}
